
INCLUDES=-I../../include
LIBS=-L../ -lcheckpoint

CFLAGS=-g $(INCLUDES)

TEST_APPS= test_success1 test_rollback1 test_rollback2

all: $(TEST_APPS)

test_%: %.o
	$(CC) $(CFLAGS) $^ -static $(LIBS) -o $@


clean:
	-rm -f $(TEST_APPS) *.o
